Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CosNaming
Class NamingContextHelper

    java.lang.Object
      |
      +--org.omg.CosNaming.NamingContextHelper

public class NamingContextHelper
extends Object

Method Summary
`static NamingContext` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, NamingContext that)`
`static NamingContext` | `narrow(Object that)`
`static NamingContext` | `read(InputStream in)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream out, NamingContext that)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### write

    public static void write(OutputStream out,
                             NamingContext that)

### read

    public static NamingContext read(InputStream in)

### extract

    public static NamingContext extract(Any a)

### insert

    public static void insert(Any a,
                              NamingContext that)

### type

    public static TypeCode type()

### id

    public static String id()

### narrow

    public static NamingContext narrow(Object that)
                                throws BAD_PARAM

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.